WHMCS - Bug # 319: Errors after update

Status: Resolved Priority: High
Author: Vitaliy Category:

Created: 05 Nov 2013 Assignee:

Updated: 27 Feb 2014 Due date:

Subject: Errors after update

Description: Hi,

After apply latest update of kayako support module faced with issues when try open ticket

Error logs >

[05-Nov-2013 11:03:52 Europe/Helsinki] PHP Fatal error: Uncaught exception 'Exception’ with message
'String could not be parsed as XML’ in
/homel/billingh/public_html/modules/support/kayako/APIl/kyHelpers.php:31

Stack trace:

#0 /home/billingh/public_html/modules/support/kayako/APl/kyHelpers.php(31):
SimpleXMLElement->__construct('<br />?<b>Fatal...")

#1 /home/billingh/public_html/modules/support/kayako/API/kyRESTClient.php(203): ky_xml_to_array('<br
[>?<b>Fatal...")

#2 /home/billingh/public_html/modules/support/kayako/API/kyRESTClient.php(221):
kyRESTClient->processRequest('/Tickets/Ticket', 'GET', Array)
#3 /home/billingh/public_html/modules/support/kayako/API/kyObjectBase.php(196):

kyRESTClient->get('/Tickets/Ticket', Array)
#4 /home/billingh/public_html/modules/support/kayako/API/kyTicket.php(692): kyObjectBase::getAll(Array)
#5 /home/billingh/public_html/modules/support/kayako/supporttickets.php(117):
kyTicket::getAll(Object(kyResultSet), Object(kyResultSet), Array, Object(kyResultSet))
#6 /home/billingh/public_html/supporttickets.php(0): unknown()
#7 {main}

t in /home/billingh/public_html/modules/support/kayako/API/kyHelpers.php on line 31
[05-Nov-2013 11:24:32 Europe/Helsinki] PHP Fatal error: Uncaught exception 'Exception’ with message
'String could not be parsed as XML in
/homel/billingh/public_html/modules/support/kayako/APIl/kyHelpers.php:31
Stack trace:

#0 /home/billingh/public_html/modules/support/kayako/API/kyHelpers.php(31):
SimpleXMLElement->__construct('Uncaught Except...")

#1 /home/billingh/public_html/modules/support/kayako/API/kyRESTClient.php(203):
ky_xml_to_array('Uncaught Except...")

#2 /home/billingh/public_html/modules/support/kayako/API/kyRESTClient.php(231):
kyRESTClient->processRequest('/Tickets/Ticket...", 'POST', Array, Array, Array)

#3 /home/billingh/public_html/modules/support/kayako/API/kyObjectBase.php(252):

kyRESTClient->post('/Tickets/Ticket...", Array, Array)
#4 /home/billingh/public_html/modules/support/kayako/submitticket.php(150): kyObjectBase->create()
#5 /home/billingh/public_html/submitticket.php(0): unknown()
#6 {main}
thrown in /home/billingh/public_html/modules/support/kayako/API/kyHelpers.php on line 31
History

02/27/2014 12:59 am - Mansi Wason
- Status changed from New to Closed
The issue has been resolved and the fix for it can be found in the latest WHMCS release version v01.00.03

02/27/2014 04:22 am - Mansi Wason

- Status changed from Closed to Resolved
